> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Conare's API is at https://api.conare.ai. Authenticate with `Authorization: Bearer $CONARE_API_KEY`.
> The full OpenAPI spec is at https://api.conare.ai/openapi.yaml; each endpoint has a page under /api-reference, and appending .md to any page URL returns its Markdown.
> Embed with model conare-embed-1; send input_type "query" for search queries. Rerank with conare-rerank-1.
> Prefer the TypeScript SDK (`npm install conare`) or plain HTTP in examples.
> Install the Conare skill with `npx skills add https://docs.conare.ai`; search these docs over MCP at https://docs.conare.ai/mcp; the whole site is at https://docs.conare.ai/llms-full.txt.

# API の概要

> Conare API のベース URL、認証、エラー、再試行、レート制限、ヘッダー。

Conare API は HTTPS 上の JSON です。各エンドポイントにはこのタブ内にプレイグラウンド付きのページがあります。

| | |
| - | - |
| ベース URL | `https://api.conare.ai` |
| 認証 | `Authorization: Bearer $CONARE_API_KEY` |
| キー | [コンソール](https://docs.conare.ai/ja/console.md#キー)で作成します。サーバー上で保管してください |
| ボディ | JSON、snake\_case。不明なフィールドは `400` になります |
| 仕様 | [api.conare.ai/openapi.yaml](https://api.conare.ai/openapi.yaml) |

```bash theme={null}
curl https://api.conare.ai/namespaces \
  -H "Authorization: Bearer $CONARE_API_KEY"
```

OpenAI および Cohere 互換のルート(`/v1`、`/v2`)は不明なフィールドを無視します。

## エラー

```json theme={null}
{
  "error": {
    "code": "invalid_request",
    "message": "documents[0].text is required",
    "request_id": "45ea7c7353368cb646e5cc2303008072"
  }
}
```

| ステータス | 意味 |
| - | - |
| 400 | リクエストが無効です。理由は `message` に示されます |
| 401 | キーがない、誤っている、または失効しています |
| 403 | キーがこのネームスペースまたはルートにアクセスできません |
| 404 | 見つかりません |
| 409 | バージョンの競合、または同時実行された書き込みが優先されました |
| 413 | ボディ、ドキュメント、またはファイルが大きすぎます |
| 415 | この[ファイル](https://docs.conare.ai/ja/files.md)形式はサポートされていません |
| 422 | ファイルを読み取れないか、`Idempotency-Key` が別のリクエストで再利用されました |
| 429 | [レート制限](#レート制限)を超えています |
| 5xx | Conare 側の問題です |

## 再試行

| ケース | 対処 |
| - | - |
| `429`、`503` | `Retry-After` ヘッダーの秒数が経過した後に再試行します |
| その他の 5xx | バックオフを入れて再試行します |
| 書き込みと削除 | `Idempotency-Key`(UUID)を送信します。24 時間以内の再送は最初の応答を `Idempotent-Replayed: true` 付きで返し、何も変更しません |

[SDK](https://docs.conare.ai/ja/sdk.md) は再試行と `Idempotency-Key` の送信を自動で行います。

## レート制限

組織単位です。最大 10 秒分のバーストは問題ありません。制限を超えると API は `Retry-After` 付きで `429` を返します。

| 呼び出し | 1 秒あたり | 同時実行数 |
| - | - | - |
| 検索 | 100 | 128 |
| 書き込み | 100 ドキュメント | 64 |
| 埋め込み | 100 テキスト | 16 |
| リランク | 20 | 16 |
| [turbopuffer API](https://docs.conare.ai/ja/turbopuffer.md) のクエリ | 1,000 | |
| その他すべて | 100 | |

## ヘッダー

| ヘッダー | 方向 | 意味 |
| - | - | - |
| `Authorization` | リクエスト | `Bearer` とキー |
| `Idempotency-Key` | リクエスト | 書き込みを安全に再試行できるようにします |
| `X-Conare-Org` | リクエスト | 複数組織用キーで操作対象とする組織([一覧](https://docs.conare.ai/ja/api-reference/organizations/list-organizations.md)) |
| `Content-Encoding: gzip` | リクエスト | 圧縮されたボディ。上限はデコード後のサイズで数えます |
| `X-Request-Id` | レスポンス | すべてのレスポンスに付きます。サポートへの問い合わせ時に含めてください |
| `Retry-After` | レスポンス | `429` と `503` で返される待機秒数 |
| `Conare-Degraded` | レスポンス | リランクなど処理の一部を省いてリクエストが成功したことを示します([値](https://docs.conare.ai/ja/query.md#縮退した結果)) |
| `Idempotent-Replayed` | レスポンス | 再試行が最初の応答を受け取った場合に `true` |

## ヘルスチェック

`GET /health/deep` にはキーが不要です。`status` は `ok`、`degraded`(いずれも HTTP 200)、または `down`(HTTP 503)です。

```json Response theme={null}
{ "status": "ok", "checkedAt": "2026-10-21T21:39:16.729996745Z" }
```


## Related topics

- [turbopuffer API](https://docs.conare.ai/ja/turbopuffer.md)
- [Embed texts (OpenAI-compatible)](https://docs.conare.ai/ja/api-reference/models/embed-texts-openai-compatible.md)
- [Rerank documents (Cohere- and vLLM-compatible)](https://docs.conare.ai/ja/api-reference/models/rerank-documents-cohere-and-vllm-compatible.md)
- [Rerank documents (Cohere v2-compatible)](https://docs.conare.ai/ja/api-reference/models/rerank-documents-cohere-v2-compatible.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.